Me againe

Issues Related to Hardware (Sound, Video, Printers, Scanners, Webcams, Touchpads, Keyboards, Sensors, Drives, GRUB, etc.)

Moderator: Moderators

Post Reply
slackx
Baby Hen
Posts: 15
Joined: Tue Aug 11, 2009 9:59

Me againe

Post by slackx » Mon Oct 05, 2009 9:59

Helo againe. I reinstall sabayon5.0 and ati dont work.
When i try manual install ( downloat ati from amd site , bla bla bla ) i receive message

Code: Select all

Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.31-sabayon; make sure that the version is being
correctly set by --iscurrentdistro

Removing temporary directory: fglrx-install.sB7okx

Image

mikey0000
Growing Hen
Posts: 159
Joined: Fri Aug 10, 2007 0:33
Location: Dunedin New Zealand

Re: Me againe

Post by mikey0000 » Mon Oct 05, 2009 10:12

ati don't work??
you have no graphical interface(just command line)??,
if you are trying to install from the files from the amd website
instead log in as root and try emerge ati-drivers
also how old is your ati graphics card/onboard graphics chip??

equo??(sulfur) emerge?? (portage)

need to give a bit more information
triple Booting Mac-osx 10.6, Sabayon Linux and Windows 7

2.5 athlon dual core
DFI infinity mobo
2 gb of DDR2 800 G skill ram 3.3.3.12
nvidia 9600gt
housed in a thermaltake taser III case with 7 fans - all turned off lol

slackx
Baby Hen
Posts: 15
Joined: Tue Aug 11, 2009 9:59

Re: Me againe

Post by slackx » Mon Oct 05, 2009 13:55

emerge ati-drivers, is dont work. i have grafical interface, gnome, and i try install ati drivers from amd website.
mi VGA is ati x700

Code: Select all

slackx ~ # lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 04)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root Port (rev 04)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 (rev 04)
00:1c.1 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2 (rev 04)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 04)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 04)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 04)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 04)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d4)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 04)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller (rev 04)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 04)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 04)

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility X700 (PCIE)

06:00.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21 IEEE-1394a-2000 Controller (PHY/Link)
06:01.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5788 Gigabit Ethernet (rev 03)
06:02.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
06:04.0 CardBus bridge: ENE Technology Inc CB-712/4 Cardbus Controller (rev 10)
06:04.1 FLASH memory: ENE Technology Inc ENE PCI Memory Stick Card Reader Controller (rev 01)
06:04.2 SD Host controller: ENE Technology Inc ENE PCI Secure Digital Card Reader Controller (rev 01)
06:04.3 FLASH memory: ENE Technology Inc FLASH memory: ENE Technology Inc: (rev 01)
06:04.4 FLASH memory: ENE Technology Inc SD/MMC Card Reader Controller (rev 01)
slackx ~ # 

Image

totedati
Technological Hen
Posts: 417
Joined: Thu Jan 11, 2007 0:24
Location: Sibiu, Romania
Contact:

Re: Me againe

Post by totedati » Mon Oct 05, 2009 20:25

that's is a wrong way to deal with ati drivers in sabayon!

try this in your console because now is all that you have:

i assume you can dowload packages from internet and you sabayon version is latest v5.0 version, and installed kernel is v2.6.31. i mean:

Code: Select all

equo search sys-kernel/linux-sabayon-2.6.31#2.6.31-sabayon
>>  @@ Searching...
>>   #1 Sabayon Linux Official Repository
>>      @@ Package: sys-kernel/linux-sabayon-2.6.31#2.6.31-sabayon              branch: 5
>>        Available:            version: 2.6.31 ~ tag: 2.6.31-sabayon ~ revision: 2
>>        Installed:            version: 2.6.31 ~ tag: 2.6.31-sabayon ~ revision: 2
>>        Slot:                 2.6.31
>>        Homepage:             http://www.sabayon.org
>>        Description:          Official Sabayon Linux Standard
>>                              kernel image
>>        License:              GPL-2
>>  Keyword:    sys-kernel/linux-sabayon-2.6.31
>>  Found:      1 entries
and

Code: Select all

eselect kernel list
Available kernel symlink targets:
  [1]   linux-2.6.27-sabayon
  [2]   linux-2.6.28-sabayon
  [3]   linux-2.6.29-sabayon
  [4]   linux-2.6.31-sabayon *
is true to you system, like is to my system, how should be after a fresh install of latest sabayon linux version, or after a successful

Code: Select all

equo hop 5
equo upgrade
command ... for me at least :shock: ... first:

Code: Select all

equo update
equo install equo
now you are sure latest package manager version is installed ...

then

Code: Select all

equo install --pretend --verbose x11-drivers/ati-drivers
>> Running with --pretend ...
>>  @@ These are the chosen packages:
>>    # (1/1) x11-drivers/ati-drivers-9.10#2.6.31-sabayon >>> Sabayon Linux Official Repository
>>      Versions:        Not installed / NoTag / NoRev ===> 9.10 / 2.6.31-sabayon / 1
>>      Action:          Install
>>  @@ Packages involved: 1
>>  @@ Calculating dependencies ...
>>  @@ These are the packages that would be installed:
>>  ## [N] [sabayonlinux.org] x11-drivers/ati-drivers-9.10#2.6.31-sabayon|1
>>  @@ Packages needing to be installed/updated/downgraded: 1
>>  @@ Packages needing to be removed: 0
>>  @@ Packages needing to be installed: 1
>>  @@ Packages needing to be reinstalled: 0
>>  @@ Packages needing to be updated: 0
>>  @@ Packages needing to be downgraded: 0
>>  @@ Download size: 30.1MB
>>  @@ Used disk space: 97.2MB
>>  @@ You need at least: 157.4MB of free space
>>  @@ Caching complete.
if is like this next step is to run a

Code: Select all

equo install x11-drivers/ati-drivers
command ...

then

Code: Select all

eselect opengl list
Available OpenGL implementations:
  [1]   ati
  [2]   xorg-x11*

eselect opengl set 1

eselect opengl list
Available OpenGL implementations:
  [1]   ati *
  [2]   xorg-x11
if ati driver is not working you can try an

Code: Select all

eselect opengl set 2

eselect opengl list
Available OpenGL implementations:
  [1]   ati
  [2]   xorg-x11 *
and next move is to issue a command like:

Code: Select all

sudo rc-service xdm restart
i hope this will help you ... :oops:
linux is free, the expertise to harness it is not!
you don't make so much money selling open source software!
You make MORE money USING it, just like google!
linux registered user #352479

slackx
Baby Hen
Posts: 15
Joined: Tue Aug 11, 2009 9:59

Re: Me againe

Post by slackx » Tue Oct 06, 2009 8:02

Dont work.
Image

mikey0000
Growing Hen
Posts: 159
Joined: Fri Aug 10, 2007 0:33
Location: Dunedin New Zealand

Re: Me againe

Post by mikey0000 » Tue Oct 06, 2009 11:46

I know this may seem like a stupid question but why are you trying to install the ati drivers?
5.0 does/should have working ati drivers in it also please be more specific
what didn't work?
triple Booting Mac-osx 10.6, Sabayon Linux and Windows 7

2.5 athlon dual core
DFI infinity mobo
2 gb of DDR2 800 G skill ram 3.3.3.12
nvidia 9600gt
housed in a thermaltake taser III case with 7 fans - all turned off lol

slackx
Baby Hen
Posts: 15
Joined: Tue Aug 11, 2009 9:59

Re: Me againe

Post by slackx » Wed Oct 07, 2009 6:30

Full 3D , from one game. I play anarchy online.
Image

Fitzcarraldo
Sagely Hen
Posts: 8218
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom
Contact:

Re: Me againe

Post by Fitzcarraldo » Wed Oct 07, 2009 6:45

According to your lspci output you have an ATI Mobility Radeon X700 GPU. That GPU is not supported by ATI's closed-source fglrx driver (x11-drivers/ati-drivers) any more. The last version of the AMD Catalyst driver that supported that GPU was 9.3 (see the release notes for version 9.3: https://a248.e.akamai.net/f/674/9206/0/ ... _linux.pdf). As you can see from the release notes for Catalyst version 9.4 (https://a248.e.akamai.net/f/674/9206/0/ ... _linux.pdf), the X700 was dropped.

Bottom line: you're wasting your time trying to install ati-drivers. You need to use the open-source Radeon driver (x11-drivers/xf86-video-ati) -- see http://www.x.org/wiki/radeon

Post Reply